Subject: Re: Problems with Emacs - Resolution(?)
From: "Ehud Karni" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 14 Feb 2004 17:31:12 +0200

On Fri, 13 Feb 2004 08:24:31 -0600, Charles Plager <[email-masked]> wrote:
>
> Due to (self-inflicted) problems, I did a fresh install of cygwin to
> 1.5.7.1.
>
> Emacs started behaving very strange:
> * Random crashes
> * Suddenly taking up 100% of cpu
>
> This happened with all emacs versions I could get my hands on:
> * 21.2.9
> * 21.2.11
> * 21.2.12
>
> Earlier this week, I downgraded to cygwin 1.5.5.1 (I needed to downgrade
> ash to 20031007-1).  Since then I have had no problems with emacs.
>
> So, to my untrained eye, it looks like something in the new cygwin dll
> doesn't like emacs.

Please try the latest snapshot - cygwin1-20040214.dll . You can down
load it from http://cygwin.com/snapshots/ .

I tested it with Emacs for some hours now and it seems OK (I had 1
crash but I don't think its related). I'm trying to build Emacs from
CVS with it now (which crashed constantly with 1.5.7 and all snapshots
up to 20040206). I'll report the results here when it'll finish.

Ehud.

- --
 Ehud Karni           Tel: +972-3-7966-561  /"\
 Mivtach - Simon      Fax: +972-3-7966-667  \ /  ASCII Ribbon Campaign
 Insurance agencies   (USA) voice mail and   X   Against   HTML   Mail
 http://www.mvs.co.il  FAX:  1-815-5509341  / \
 GnuPG: 98EA398D <http://www.keyserver.net/>    Better Safe Than Sorry

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/